> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Public Banners

> Public: list all active banners with their images, sorted by name.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/banners
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/banners:
    get:
      tags:
        - banners
      summary: List Public Banners
      description: 'Public: list all active banners with their images, sorted by name.'
      operationId: list_public_banners_api_v1_banners_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_list_BannerOut__'
components:
  schemas:
    ApiResponse_list_BannerOut__:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/BannerOut'
              type: array
            - type: 'null'
          title: Data
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[list[BannerOut]]
    BannerOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        is_active:
          type: boolean
          title: Is Active
        created_at:
          type: string
          format: date-time
          title: Created At
        images:
          items:
            $ref: '#/components/schemas/BannerImageOut'
          type: array
          title: Images
          default: []
      type: object
      required:
        - id
        - name
        - is_active
        - created_at
      title: BannerOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    BannerImageOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        banner_id:
          type: string
          format: uuid
          title: Banner Id
        title_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Title I18N
        link:
          anyOf:
            - type: string
            - type: 'null'
          title: Link
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
        sort_order:
          type: integer
          title: Sort Order
      type: object
      required:
        - id
        - banner_id
        - title_i18n
        - link
        - image
        - sort_order
      title: BannerImageOut

````